body{
    display: flex;
    flex-wrap: wrap;
}

body>header{
    flex-basis: 100%;
}

body>nav{
    flex-basis: 100%;
}

footer {
    flex-basis: 100%;
}

nav>ul{
    display: flex;
    flex-wrap: nowrap;
}
li {
    flex-basis: 20%;
}

main{
    display: flex;
    flex-wrap: wrap;
    flex-basis: 100%;
}


main ul {
    display: flex;
    flex-wrap: nowrap;
    flex-basis: 100%
}

main li {
    flex-basis: 25%;
    margin: 1%;
}